> For the complete documentation index, see [llms.txt](https://nviasoft.gitbook.io/nviasoft-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-5/disableautoreply.md).

# DisableAutoReply

### int DisableAutoReply(short nStream, short nFunction)

특정 SECS 메시지(`SnFn`)에 대한 라이브러리의 자동 응답 기능을 비활성화합니다. 이 함수를 호출하여 등록된 메시지는 수신 시 라이브러리가 즉시 응답하지 않으며, 대신 사용자가 정의한 Message 처리용 Callback 함수로 전달됩니다. 사용자는 해당 Callback 내에서 비즈니스 로직을 수행한 후 직접 응답 메시지를 구성해 보낼 수 있습니다

Parameters

<table data-header-hidden><thead><tr><th width="169" valign="top"></th><th width="126" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">nStream</td><td valign="top">short</td><td valign="top">SnFn중 Sn에 해당하는 값</td></tr><tr><td valign="top">nFunction</td><td valign="top">short</td><td valign="top">SnFn중 Fn에 해당하는 값</td></tr></tbody></table>

```csharp
m_gem.DisableAutoReply(1,3);
// 이제 S1F3 이 수신되면 라이브러리가 자동 응답하지 않고, 
// OnMsgReceived() 콜백 이벤트가 발생합니다.
//사용자는 Stream,Function으로 구분하여 원하는 작업을 할 수 있습니다.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-5/disableautoreply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
